#Remove this if build in your system/you don't need the bdk suffix
%if %{distro_release} < 8
%define dist bdk.mga%{distro_release}
%else
%define dist bdk_mga%{distro_release}
%endif

%define packager katnatek

%define debug_package %{nil}
%bcond_with nonfree
%bcond_with tainted


Summary:	macros used for blogdrake builds
Name:		bdk-macros-%{packager}
Version:	3
Release:	%mkrel 1
License:	GPLv2
BuildRequires: rpm
BuildArch:	noarch

%description
rpm macro for blogdrake rpms
packager %{packager}

%if %{with nonfree}

%package nonfree
Summary:	macros used for nonfree blogdrake builds

%description nonfree
%{summary}
packager %{packager}

%files nonfree
/usr/lib/rpm/macros.d/macros.dist.bdk

%else

%if %{with tainted}

%package tainted
Summary:	macros used for tainted blogdrake builds

%description %{packager}-tainted
%{summary}
packager %{packager}

%files tainted
/usr/lib/rpm/macros.d/macros.dist.bdk

%else

%package free
Summary:	macros used for free blogdrake builds

%description free
%{summary}
packager %{packager}

%files free
/usr/lib/rpm/macros.d/macros.dist.bdk

%endif

%endif

%prep
rm -rf %{_builddir}/%{name}-%{version}
mkdir -p %{_builddir}/%{name}-%{version}
pushd %{_builddir}/%{name}-%{version}
echo '%'debug_package '%{'nil'}' >>macros.dist.bdk
echo '%'dist bdk_mga'%'{distro_release} >>macros.dist.bdk
%if %{with nonfree}
echo '%'distro_section nonfree >>macros.dist.bdk
%else
%if %{with tainted}
echo '%'distro_section tainted >>macros.dist.bdk
%endif
%endif
echo '%'packager	%{packager} >>macros.dist.bdk
popd

%install
install -Dm0644 %{_builddir}/%{name}-%{version}/macros.dist.bdk %{buildroot}/usr/lib/rpm/macros.d/macros.dist.bdk


%clean
rm -rf %{_builddir}/%{name}-%{version} %{buildroot}


